List supplier bundles
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"lines": [
{
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"variantName": "<string>",
"quantity": 123,
"unitListPrice": 123,
"lineRetailValue": 123,
"availableStock": 123
}
],
"retailValue": 123,
"discountPercent": 123,
"total": 123,
"saving": 123,
"separatelyTotal": 123,
"currencyCode": "<string>",
"isAvailable": true,
"bundleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleName": "<string>",
"bundleDescription": "<string>",
"unavailableReason": "<string>"
}
]
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Reselling
Get Bundles
Baskets the supplier composed and priced as one thing, each quoted for this store: what is in
it, what that comes to at their list prices, the discount, and what you would pay. Bundles aimed
at other resellers are not listed, and cannot be bought by guessing an id.
Requires the stores.reselling.view permission.
GET
/
stores
/
{storeId}
/
reselling
/
suppliers
/
{supplierStoreId}
/
bundles
List supplier bundles
curl --request GET \
--url https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.komerza.com/stores/{storeId}/reselling/suppliers/{supplierStoreId}/bundles")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"code": "<string>",
"data": [
{
"lines": [
{
"variantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"productName": "<string>",
"variantName": "<string>",
"quantity": 123,
"unitListPrice": 123,
"lineRetailValue": 123,
"availableStock": 123
}
],
"retailValue": 123,
"discountPercent": 123,
"total": 123,
"saving": 123,
"separatelyTotal": 123,
"currencyCode": "<string>",
"isAvailable": true,
"bundleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bundleName": "<string>",
"bundleDescription": "<string>",
"unavailableReason": "<string>"
}
]
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}{
"success": true,
"message": "<string>",
"code": "<string>",
"data": "<unknown>"
}Response
The object was successfully returned.
Represents a default generic response for API endpoints.
Last modified on August 22, 2026